<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Remote-reboot-dedicatedServer%3APOST</id>
		<title>Remote-reboot-dedicatedServer:POST - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Remote-reboot-dedicatedServer%3APOST"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Remote-reboot-dedicatedServer:POST&amp;action=history"/>
		<updated>2026-05-14T00:18:36Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Remote-reboot-dedicatedServer:POST&amp;diff=2345&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 111</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Remote-reboot-dedicatedServer:POST&amp;diff=2345&amp;oldid=prev"/>
				<updated>2015-09-18T17:15:14Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 111&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 17:15, 18 September 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Remote-reboot-dedicatedServer:POST&amp;diff=2344&amp;oldid=prev</id>
		<title>Pa.dinh: /* Expected Response Codes */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Remote-reboot-dedicatedServer:POST&amp;diff=2344&amp;oldid=prev"/>
				<updated>2015-04-03T10:55:48Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Expected Response Codes&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= POST /accounts/{account_number}/dedicatedServers/{server_id}/action =&lt;br /&gt;
Apply an action on a dedicated server e.g. '''remote reboot'''&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/{account_number}/dedicatedServers/{server_id}/action&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; account_number - ''string''&lt;br /&gt;
: The user account owning the dedicated servers.&lt;br /&gt;
&lt;br /&gt;
; server_id - ''string''&lt;br /&gt;
: Server id of the dedicated server that will be rebooted.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;action&amp;quot;: &amp;quot;reboot&amp;quot;, &lt;br /&gt;
  &amp;quot;actionData&amp;quot;: &amp;quot;&amp;quot; &lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
; action - ''string''&lt;br /&gt;
: The action that should be performed. Allowed values are:&lt;br /&gt;
:: '''reboot''' - remote reboot of the dedicated server.&lt;br /&gt;
&lt;br /&gt;
; actionData - ''string (optional)''&lt;br /&gt;
: Data to be send with the action.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes  ===&lt;br /&gt;
; 202 Accepted&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The supplied action is invalid.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid.&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authorized user does not have permissions to access the resource. The only user(s) who has access to the dedicated servers must be a sales agent, the account owner, or the account technical admin. &lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The dedicated server does not exist.&lt;br /&gt;
&lt;br /&gt;
; 502 Bad Gateway&lt;br /&gt;
: Internal error when issuing an action request.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Request remote reboot of a dedicated server ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /accounts/test-account123/dedicatedServers/server-id-1/action&lt;br /&gt;
Content-Type:application/json; Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64 string}&lt;br /&gt;
&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;action&amp;quot;: &amp;quot;reboot&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
202 Accepted&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Dedicated_Server_API|Dedicated Server API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Dedicated Server API]]&lt;/div&gt;</summary>
		<author><name>Pa.dinh</name></author>	</entry>

	</feed>